# $Revision: 1.2 $, $Date: 2002/08/31 21:43:43 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	SQL
%define	pnam	Abstract
Summary:	SQL::Abstract - Generate SQL from Perl data structures
Summary(pl):	Modu SQL::Abstract - generujcy SQL z perlowych struktur danych
Name:		perl-SQL-Abstract
Version:	1.09
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module was inspired by the excellent DBIx::Abstract.  However,
in using the module I found that what I wanted to do was generate SQL,
but still retain complete control over my statement handles and use
the DBI interface. So, I set out to create an abstract SQL generation
module.

%description -l pl
Ten modu by zainspirowany wspaniaym DBIx::Abstract. Jest to modu
do abstrakcyjnego tworzenia SQL, pozwalajcy na pen kontrol nad
wyraeniami i uywanie interfejsu DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-SQL-Abstract.spec,v $
Revision 1.2  2002/08/31 21:43:43  qboosh
- pl description

Revision 1.1  2002/08/31 12:24:13  radek
- new, STBR
